# nodeinfo-go

golang lib to query federation node information.

Based on [Well-known URI](https://www.rfc-editor.org/rfc/rfc8615.html) for [nodeinfo](http://nodeinfo.diaspora.software/) and [matrix discovery](https://spec.matrix.org/v1.2/client-server-api/#well-known-uri) it obtains node information(s) about it's service and user stats.

This repo also contains a small CLI tool to use this lib.

## Lib

```sh
go get "codeberg.org/thefederationinfo/nodeinfo-go"
```

```go
import "codeberg.org/thefederationinfo/nodeinfo-go"

func main() {
  // ...
  testNodeInfos, err := nodeinfo.QueryNode("example.org")
  // ...
}
```

## CLI Tool

how to build:

0. have go compiler installed
1. clone this repo
2. cd into `cli` folder
3. `go build .`

exec: `./nodeinfo <node domain>`
